OpenTTD Source: src/music.cpp File Reference

OpenTTD Source 14.1

Macros | Functions | Variables
music.cpp File Reference
`#include "stdafx.h"`
`#include "base_media_func.h"`
`#include "random_access_file_type.h"`
`#include "safeguards.h"`

Go to the source code of this file.

## Macros
#define | SET_TYPE "music"
| The type of set we're replacing.

## Functions
char * | GetMusicCatEntryName (const std::string &filename, size_t entrynum)
| Read the name of a music CAT file entry. More...
byte * | GetMusicCatEntryData (const std::string &filename, size_t entrynum, size_t &entrylen)
| Read the full data of a music CAT file entry. More...

## Variables
static const char *const | _music_file_names []
| Names corresponding to the music set's files. More...

## Detailed Description

The songs that OpenTTD knows.

Definition in file music.cpp.

## Function Documentation

## ◆ GetMusicCatEntryData()

byte* GetMusicCatEntryData | ( | const std::string & | filename,
|  | size_t | entrynum,
|  | size_t & | entrylen
| ) |  |

Read the full data of a music CAT file entry.

Parameters

  | filename | Name of CAT file to read from.
  | entrynum | Index of entry to read
  [out] | entrylen | Receives length of data read

Returns
  Pointer to buffer with data read, caller is responsible for freeind memory, nullptr if entrynum does not exist.

Definition at line 55 of file music.cpp.

References BASESET_DIR, FioCheckFileExists(), RandomAccessFile::ReadBlock(), RandomAccessFile::ReadByte(), RandomAccessFile::ReadDword(), RandomAccessFile::SeekTo(), and RandomAccessFile::SkipBytes().

## ◆ GetMusicCatEntryName()

char* GetMusicCatEntryName | ( | const std::string & | filename,
|  | size_t | entrynum
| ) |  |

Read the name of a music CAT file entry.

Parameters

  filename | Name of CAT file to read from
  entrynum | Index of entry whose name to read

Returns
  Pointer to string, caller is responsible for freeing memory, nullptr if entrynum does not exist.

Definition at line 28 of file music.cpp.

References BASESET_DIR, FioCheckFileExists(), RandomAccessFile::ReadBlock(), RandomAccessFile::ReadByte(), RandomAccessFile::ReadDword(), and RandomAccessFile::SeekTo().

## Variable Documentation

## ◆ _music_file_names

const char* const _music_file_names[]
| static

Initial value:
= {
"theme",
"old_0", "old_1", "old_2", "old_3", "old_4", "old_5", "old_6", "old_7", "old_8", "old_9",
"new_0", "new_1", "new_2", "new_3", "new_4", "new_5", "new_6", "new_7", "new_8", "new_9",
"ezy_0", "ezy_1", "ezy_2", "ezy_3", "ezy_4", "ezy_5", "ezy_6", "ezy_7", "ezy_8", "ezy_9",
}

Names corresponding to the music set's files.

Definition at line 79 of file music.cpp.